Create an access token
POST
/users/{username}/tokens
const url = 'https://gitea.example.com/api/v1/users/example/tokens';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"name":"example","scopes":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.example.com/api/v1/users/example/tokens \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "scopes": [ "example" ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”username
required
string
Username of user
Request Body
Section titled “Request Body”Media typeapplication/json
CreateAccessTokenOption options when create access token
object
name
required
string
scopes
Array<string>
Examplegenerated
{ "name": "example", "scopes": [ "example" ]}Responses
Section titled “Responses”AccessToken represents an API access token.
Media typeapplication/json
AccessToken represents an API access token.
object
id
integer format: int64
name
string
scopes
Array<string>
sha1
string
token_last_eight
string
Examplegenerated
{ "id": 1, "name": "example", "scopes": [ "example" ], "sha1": "example", "token_last_eight": "example"}APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string